GET /v1/account-types

The account type list, with how many accounts use each type

Auth. Send the token in the X-Ledger-Token header.

Responses

StatusMeaningBody
200Account types, ordered by nameAccountType[]
429Too many requests from this client address. Wait the number of seconds in Retry-After, then try again.Error

Example response

[
  {
    "name": "string",
    "accounts": 0
  }
]

Code samples

Set KEY to your own token first.

curl

curl \
  -H X-Ledger-Token:$KEY \
  "https://api.sasek.org/ledger/v1/account-types"

JavaScript

const res = await fetch("https://api.sasek.org/ledger/v1/account-types", {
  headers: { "X-Ledger-Token": KEY },
});
const data = await res.json();

Python

import json
import os
import urllib.request

request = urllib.request.Request(
    "https://api.sasek.org/ledger/v1/account-types",
    method="GET",
    headers={
        "X-Ledger-Token": os.environ["KEY"],
    },
)
with urllib.request.urlopen(request) as response:
    print(json.load(response))